Busca

Carregando...

sábado, 18 de julho de 2009

Como testar seu blog em navegadores antigos

Nível: intermediário

Notebook Alguém reclamou dizendo que o formulário de contato do seu blog não funciona. O visitante, totalmente leigo, não soube dizer qual navegador e sistema operacional ele usa. Você olhou e testou novamente o formulário do seu site nos navegadores que você tem.

Como blogueiro, é muito provável que você tenha as versões mais recentes dos principais navegadores: Firefox 3.5, Internet Explorer (IE) 8, Opera 10, Safari 4, Chrome 2. Em todos os navegadores seu formulário funcionou normalmente.

O suposto erro não foi descoberto, mas você sabe que o visitante não estava blefando. Enquanto você testava nos diversos browsers, outros visitantes reclamaram o mesmo problema.

Desktop Nessa hora temos que usar um pouco de raciocínio lógico. Se o visitante é tão leigo a ponto de não saber qual navegador e/ou qual sistema operacional que ele usa, é muitíssimo provável que ele use Internet Explorer no Windows. Quem usa Linux, mesmo que seja leigo, sabe que usa Linux. Quem tem na máquina algum navegador além do padrão, sabe quando está usando um ou outro, mesmo se não foi ele quem instalou.

Se a versão mais recente do IE não mostrou o problema, é porque só ocorre em alguma versão antiga, provavelmente na 6 e talvez na 7. Mas o contrário também pode ocorrer: você usa o IE 7 e o erro que seus visitantes notificaram só ocorre no IE 8.

Instalando várias versões do IE

PC passando mal Para testar seu site em várias versões do IE e descobrir erros assim, a dica é instalar o Internet Explorer Collection para ter em seu Windows (XP ou Vista) todas as versões do IE que desejar.

Durante a instalação, você será consultado sobre quais versões deseja ter. As muito antigas (de 1 a 5) merecem ser ignoradas, instale-as apenas se você curte softwares antigos e/ou abandonware, porque na prática elas não terão muita serventia. Para testar seus sites a dica é instalar as versões 5.5, 6, 7 e 8.

» Link de download do programa «

Mas não deixe de conversar com seu visitante sugerindo, inclusive, que ele atualize o navegador. Se não for necessariamente um erro, mas sim um recurso atual que não existia em browsers antigos, você não é obrigado a mudar seu site, mas não deixe de explicar ao seu visitante os motivos.

Se ele for muito apegado à versão de IE que ele usa e não quer atualizar para o 8, sugira a ele que instale o Chrome, um navegador leve e atualizado para ele usar de vez em quando em sites mais modernos, como o seu.

Aliás, aproveite para anotar a dica: para usuários muito leigos, que navegam poucas horas por semana e que não sabem informar as configurações do computador, sugira sempre o Chrome ao invés do Firefox.

Se ele tiver uma configuração muito antiga e/ou com pouca memória, ele vai detestar o Firefox e nunca mais vai confiar nas suas indicações de softwares. Como ele é leigo, não vai acreditar em nada se você tentar se justificar colocando a culpa no computador dele, mesmo que seja verdade.

Não chute! Conheça seu visitante primeiro

Dentro do monitor Antes de se preocupar em manter seu blog ou site compatível com navegadores antigos e problemáticos, como IE 6 e IE 7, por exemplo, recomendo que use o Google Analytics ou outra ferramenta similar para saber qual é o perfil do visitante do seu blog.

Sabendo quais versões de navegadores seus visitantes mais usam, fica fácil saber se vale a pena investir na compatibilidade e quais serão os browsers contemplados. Se a maioria dos seus visitantes que usam IE, por exemplo, já está na versão 7 ou na 8, é muito provável que não compense manter compatibilidade com a versão 6.

Outra dica é não se basear em pesquisas feitas não-sei-onde com não-sei-que-público para não-sei-que-site. Use as estatísticas dos visitantes do próprio site, não há número mais confiável.

Como exemplo, cito meus dois blogs mais famosos. Veja quais são os cinco navegadores que foram mais usados pelos visitantes nos últimos 30 dias em cada um deles:

:: HTMHelen:

  1. Firefox 3.0.11
  2. Firefox 3.5
  3. Internet Explorer 7
  4. Chrome 2
  5. Internet Explorer 6

:: Helen Fernanda Ponto Com:

  1. Internet Explorer 7
  2. Firefox 3.0.11
  3. Internet Explorer 6
  4. Chrome 2
  5. Firefox 3.5

Observe que apenas o navegador Chrome 2 manteve-se na 4ª posição para os dois blogs. Ou seja, se eu me baseasse nas estatísticas de um blog para testar a compatibilidade do outro eu estaria lascada, porque são perfis muito diferentes.

Bons testes!

Posts relacionados